Including cabal-install in the platform source tarball

Mark Lentczner mark.lentczner at
Sun Feb 27 18:22:21 GMT 2011

On Sun, Feb 27, 2011 at 10:05 AM, Don Stewart <dons00 at> wrote:
> The problem -- after I refreshed my memory -- isn't that cabal-install can't handle itself as a tool dep.

Correct. But the haskell-platform.cabal file, as it is used to build
the source tarball, and then to the installers, is never fed to cabal
to "solve". The and Build.hs process just uses
haskell-platform.cabal file as the source of the list of packages and
versions to include. So "uncommenting" it for that process, the
cabal-install package tarball, of the right version(see below), gets
unpacked and included in the tarball, and the tarball package manafest
file. Then -- installer packages that work from the source tarball
will build and include it.

So, I guess what I'm saying is that we need two haskell-platform.cabal
files: one for installing from, which can't include cabal-install. And
one for building the source tarball from.

Now, as to correct version, we have another issue: HP seems to
currently spec the incompatible pair of  cabal- and
cabal-install-0.8.2, which itself requires cabal-1.8.*.  So, I assume
we are stuck waiting on a new version of cabal-install.

 -  Mark

More information about the Haskell-platform mailing list